Unstacking work

- « Worker::stack

- Collectable »

- PHP Manual
- Worker
- Unstacking work

# Worker::unstack

(PECL pthreads >= 2.0.0)

Worker::unstack — Unstacking work

### Description

public Worker::unstack(): int

Removes the first task (the oldest one) in the stack.

### Parameters

This function has no parameters.

### Return Values

The new size of the stack.

### Changelog

Version | Description
--- | ---
PECL pthreads 3.0.0 | The parameter to specify the task to unstack has been removed. Now, only the first task in the stack is removed.

### Examples

Example #1 Removing objects from the stack of Workers

    <?php
    $my = new Worker();
    $work = new class extends Threaded {};

    var_dump($my->stack($work));
    var_dump($my->unstack());

The above example will output:

    int(1)
    int(0)